List Presets
curl --request GET \
--url https://easy-peasy.ai/api/presets \
--header 'x-api-key: <api-key>'import requests
url = "https://easy-peasy.ai/api/presets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://easy-peasy.ai/api/presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"presets": [
{
"slug": "custom-generator",
"title": "Custom Generator",
"description": "Generate custom text for any purpose.",
"category": [
"Tools",
"Content",
"Marketing",
"Other",
"Social Media",
"Business",
"Resume"
],
"isFree": false
},
{
"slug": "paragraph-writer",
"title": "Paragraph Writer",
"description": "Generate paragraphs with the click of a button!",
"category": [
"Tools",
"Content",
"Social Media",
"Marketing",
"Business"
],
"isFree": true
}
],
"total": 2,
"categories": [
"Social Media",
"Content",
"Business",
"HR",
"Marketing",
"Resume",
"Education",
"Project Management",
"Tools",
"Other"
]
}{
"error": "Invalid API key"
}{
"error": "Invalid API key"
}Text Generation
List Presets
Retrieve a list of all available text generation presets (templates). Use this to discover which presets you can pass to the /api/generate endpoint.
Optionally filter by category. Only presets with input fields are returned.
GET
/
api
/
presets
List Presets
Authorizations
API key for authentication. Get yours at https://easy-peasy.ai/settings/api
Headers
Your API key
Query Parameters
Filter presets by category
Available options:
Social Media, Content, Business, HR, Marketing, Resume, Education, Project Management, Tools, Other Response
Successfully retrieved presets
Was this page helpful?
⌘I
